Skip to main content

Get transaction receipt

GET https://wallet.paysera.com/rest/v1/transaction/{transactionKey}/receipt

Get receipt text for confirmed transaction (offline/gateway clients only).

Receipt should be printed and given to customer/merchant.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
transactionKeystring✓Transaction key

Query Parameters​

NameTypeRequiredDescription
localestringLocale for text translation
widthintegerMaximum symbol count per line

Example​

Request​

GET https://wallet.paysera.com/rest/v1/transaction/{transactionKey}/receipt?locale=value&width=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Query Parameters
locale
Locale for text translation
width
Maximum symbol count per line

RESPONSE

Receipt retrieved
{}